## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname pytest-grpc
%global forgeurl https://github.com/kataev/%{srcname}
# Upstream publishes to PyPI but does not tag releases. This commit includes
# the LICENSE file.
%global commit 3f21554fd821074c2836f65078eaace5c0569c2a

Name:           python-%{srcname}
Version:        0.8.0
%forgemeta
Release:        %autorelease
Summary:        Allow testing gRPC with pytest

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

# Not specified in setup.py metadata, but required for tests:
BuildRequires:  python3dist(grpcio)

%global modname %(echo '%{srcname}' | tr - _)

%global common_description %{expand:
Write tests for gRPC with pytest.}

%description %{common_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

# Not specified in setup.py metadata, but required for any practical use:
Requires:       python3dist(grpcio)

%description -n python3-%{srcname} %{common_description}


%prep
%forgeautosetup
# We do not want or need to install this zero-length hidden file, which is
# present upstream so that git will preserve the directory.
rm -vf example/src/stub/.keepdir


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
# Upstream has no tests.
%py3_check_import %{modname} %{modname}.plugin


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc example


%changelog
* Wed Aug 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-1
- Initial package
